- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e5b55c12-8bf0-43e0-a0c9-cef6dec29a16
    creation_time: 2023-02-17T13:43:07.029199Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: a == y * r + x * p && b == x * q + y * s && q * x * y + s * y * y - q * x - b * y - s * y + b == 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: eadb73b7-92d9-4d6a-8c5a-9b78619ca297
    creation_time: 2023-02-17T13:43:07.029401Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 45
    column: 0
    function: main
  loop_invariant:
    string: k * b + c == a && a == y * r + x * p && b == x * q + y * s && q * x * y + s * y * y - q * x - b * y - s * y + b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f30b89a5-1e47-4df2-880c-85ce44256f6f
    creation_time: 2023-02-17T13:43:07.029733Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 45
    column: 0
    function: main
  location_invariant:
    string: a == k * b + c
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ec875dbd-ef73-4cb9-85fe-2d4f72c1f290
    creation_time: 2023-02-17T13:43:07.029831Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 45
    column: 0
    function: main
  location_invariant:
    string: a == y * r + x * p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d37b003c-9b90-47f6-a89a-bdc3ccf98c05
    creation_time: 2023-02-17T13:43:07.029914Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 45
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5225aabd-50c4-41e7-8a0f-ddf72866ce50
    creation_time: 2023-02-17T13:43:07.030001Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 45
    column: 0
    function: main
  location_invariant:
    string: q * x * y + s * y * y - q * x - b * y - s * y + b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f315e4eb-103e-400a-8296-c5e25fcc9605
    creation_time: 2023-02-17T13:43:07.030084Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 66
    column: 0
    function: main
  location_invariant:
    string: q * x + s * y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1eb75797-0e1e-4d94-8fa7-ba5def96e541
    creation_time: 2023-02-17T13:43:07.030166Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/egcd2.c
      input_file_hashes:
        c/nla-digbench/egcd2.c: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/egcd2.c
    file_hash: 11cdb5bed69a75a9cee8de74836901a4710f318ddce5b4d49fd94a2d2bed7371
    line: 66
    column: 0
    function: main
  location_invariant:
    string: p * x + r * y == a
    type: assertion
    format: C

